# Tk-Workshop CLT2011; Uwe Berger
#
# Canvas: Grafikelementgruppen
#

# canvas erzeugen
canvas .c  -width 230 -height 200

# 2 Button zum Farbwechsel der Elemente mit tag "gruppe1" erzeugen
button .b1 -text "Blau" -command {.c itemconfigure gruppe1 -fill blue}
button .b2 -text "Gelb" -command {.c itemconfigure gruppe1 -fill yellow}

# ...alles anzeugen
pack .b1 .b2 .c

# 5 Kreisflchen mit tag "gruppe1" erzeugen
for {set i 0} {$i < 5} {incr i} {
	.c create oval	[expr 10 + 40 * $i]\
					10\
					[expr 10 + 40 * ($i + 1)]\
					50\
					-fill yellow\
					-tags gruppe1
}

# 5 Kreisflaechen mit tag "gruppe2" erzeugen
for {set i 0} {$i < 5} {incr i} {
	.c create oval	[expr 10 + 40 * $i]\
					70\
					[expr 10 + 40 * ($i + 1)]\
					110\
					-fill grey\
					-tags gruppe2
}

# eine zyklische Task definieren
proc blink {} {
	global v
	if {$v} {.c itemconfigure gruppe2 -fill red; set v 0} else {.c itemconfigure gruppe2 -fill grey; set v 1}
	after 1000 blink
}

set v 0
# Task starten
blink
