# Tk-Workshop CLT2011; Uwe Berger
#
# Fonts: Beispiel aus Manual --> alle vorhandenen
#        Schriftarten mit Beispiel ausgeben
#

# eine Textbox ausgeben/ anzeigen
pack [text .t -wrap none] -fill both -expand 1
set count 0
set tabwidth 0

# Liste aller Schriftarten erzeugen
# Option -font der Textbox setzen
# Beispieltext in der Schriftart ausgeben
# ...naechste Schriftart ...
foreach family [lsort -dictionary [font families]] {
    .t tag configure f[incr count] -font [list $family 10]
    .t insert end ${family}:\t {} \
            "This is a simple sampler\n" f$count
    set w [font measure [.t cget -font] ${family}:]
    if {$w+5 > $tabwidth} {
        set tabwidth [expr {$w+5}]
        .t configure -tabs $tabwidth
    }
}
