# Tk-Workshop CLT2011; Uwe Berger
#
# Geometriemanager: Kombination von pack und grid
# (Widgets automatisch generieren...)
#

button .b1 -text "Button 1"
button .b2 -text "Button 2"
frame .f -borderwidth 1 -relief solid  

pack .b1
pack .b2

# Container fuer Labels
pack .f -before .b2 -expand 1 -fill both

# Labels erzeugen und in Frame als grid
for {set y 0} {$y < 10} {incr y} {
	for {set x 0} {$x < 10} {incr x} {
		label .f.l$y$x	-text "Label $y$x"\
						-relief solid\
						-bd 1
		grid .f.l$y$x	-row $y -column $x\
						-ipadx 5\
						-ipady 5
	}
}
