# Tk-Workshop CLT2011; Uwe Berger
#
# diverse Widgets
#

# Frames
frame .f1 -relief ridge -bd 2
frame .f2 -relief ridge -bd 2
frame .f3 -relief ridge -bd 2

# Button
button .f1.b -text "Ich bin ein Button"

# Label
label  .f1.l -text "Das ist ein Label"

# Eingabefeld
set entry_txt "Eingabefeld..."
entry  .f1.e -textvariable entry_txt

# Checkbutton, Labelframe
labelframe  .f1.fc    -text "Checkbutton"
checkbutton .f1.fc.c1 -text "Option 1"
checkbutton .f1.fc.c2 -text "Option 2"
checkbutton .f1.fc.c3 -text "Option 3"

# Radiobutton, Labelframe
set a 1
labelframe  .f1.fr    -text "Radiobutton"
radiobutton .f1.fr.r1 -text "1" -variable a -value 1
radiobutton .f1.fr.r2 -text "2" -variable a -value 2
radiobutton .f1.fr.r3 -text "3" -variable a -value 3

# Message
message .f2.m -text "Hier steht ein langer Text in einer \
                     Message..." 

# Listbox
listbox .f2.lb			
.f2.lb insert 0 eins zwei drei vier fuenf sechs		 
	
# Textbox
text .f2.t -height 10 -width 40 
.f2.t insert end {Das ist ein text in einer Textbox}
	
#Button mit Bild
button .f3.bb -bitmap info -text "Infobutton" -width 30
	
# Spinbox
spinbox .f3.sp -from 1 -to 20	
	
#Slider
scale .f3.sc -from 1 -to 20	
	
# ... und ausgeben
pack .f1 .f2 .f3 -side left -expand 1 -fill y
pack .f1.b .f1.l .f1.e .f1.fc .f1.fr -padx 20 -pady 20
pack .f1.fc.c1 .f1.fc.c2 .f1.fc.c3 
pack .f1.fr.r1 .f1.fr.r2 .f1.fr.r3 
pack .f2.m .f2.lb .f2.t -padx 20 -pady 20
pack .f3.sp .f3.sc .f3.bb -padx 20 -pady 20
