# Tk-Workshop CLT2011; Uwe Berger
#
# Event Handler: Hilfeblasen
#

# Bindings fuer Hilfeblasen erzeugen...
proc balloon {w help} {
	bind $w <Enter> "after 500 [list balloon_show %W [list $help]]"
	bind $w <Leave> "destroy %W.balloon"
}

# Hilfeblasen anzeigen
proc balloon_show {w arg} {
	if {[eval winfo containing  [winfo pointerxy .]]!=$w} {return}
	set top $w.balloon
	catch {destroy $top}
	toplevel $top -bd 1 -bg black
	wm overrideredirect $top 1
	pack [message $top.txt 	-aspect 10000 -bg yellow \
				-font fixed -text $arg]
	set wmx [winfo rootx $w]
	set wmy [expr [winfo rooty $w]+[winfo height $w]]
	wm geometry $top [winfo reqwidth $top.txt]x[winfo reqheight $top.txt]+$wmx+$wmy
	#raise $top
}

# ein paar Bedienelemente definieren
button .b -text "Button"
listbox .lb

# dazu die entsprechenden Bindings (mit differenzierten Hilfetext)
balloon .b  "Das ist ein Button, \nder keine Funktion hat, \naber lustige Hilfetext erzeugt..."
balloon .lb "Eine leere Listbox..."

# ...anzeigen
pack .b .lb